org.apache.synapse.commons.emulator.http.producer

## Class HttpResponseProcessHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.synapse.commons.emulator.http.producer.HttpResponseProcessHandler

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      public class HttpResponseProcessHandler
      extends io.netty.channel.ChannelInboundHandlerAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpResponseProcessHandler(OutgoingMessage outgoingMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelRead(io.netty.channel.ChannelHandlerContext ctx, java.lang.Object msg)`
    `void` | `channelReadComplete(io.netty.channel.ChannelHandlerContext ctx)`
    `void` | `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, java.lang.Throwable cause)`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### HttpResponseProcessHandler

          public HttpResponseProcessHandler(OutgoingMessage outgoingMessage)

  - ### Method Detail

    - #### channelRead

          public void channelRead(io.netty.channel.ChannelHandlerContext ctx,
                                  java.lang.Object msg)

      Specified by:
        `channelRead` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelRead` in class `io.netty.channel.ChannelInboundHandlerAdapter`

    - #### exceptionCaught

          public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                                      java.lang.Throwable cause)

      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
      Specified by:
        `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`

    - #### channelReadComplete

          public void channelReadComplete(io.netty.channel.ChannelHandlerContext ctx)

      Specified by:
        `channelReadComplete` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelReadComplete` in class `io.netty.channel.ChannelInboundHandlerAdapter`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.